/* roboto-300 - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/roboto-v20-latin-300.eot'); /* IE9 Compat Modes */
  src: local('Roboto Light'), local('Roboto-Light'),
       url('fonts/roboto-v20-latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/roboto-v20-latin-300.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/roboto-v20-latin-300.woff') format('woff'), /* Modern Browsers */
       url('fonts/roboto-v20-latin-300.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/roboto-v20-latin-300.svg#Roboto') format('svg'); /* Legacy iOS */
}
/* roboto-regular - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/roboto-v20-latin-regular.eot'); /* IE9 Compat Modes */
  src: local('Roboto'), local('Roboto-Regular'),
       url('fonts/roboto-v20-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/roboto-v20-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/roboto-v20-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('fonts/roboto-v20-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/roboto-v20-latin-regular.svg#Roboto') format('svg'); /* Legacy iOS */
}
/* roboto-700 - latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/roboto-v20-latin-700.eot'); /* IE9 Compat Modes */
  src: local('Roboto Bold'), local('Roboto-Bold'),
       url('fonts/roboto-v20-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/roboto-v20-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/roboto-v20-latin-700.woff') format('woff'), /* Modern Browsers */
       url('fonts/roboto-v20-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/roboto-v20-latin-700.svg#Roboto') format('svg'); /* Legacy iOS */
}

* {
  user-select: none !important;
  -webkit-user-select: none !important;
  -webkit-user-callout: none !important;
  -webkit-touch-callout: none !important;
}

input, textarea {
  -webkit-user-select: text !important;
  -webkit-user-callout: default !important;
  -webkit-touch-callout: default !important;
}

html {
  font-family: 'Roboto';
  text-rendering: optimizeLegibility !important;
  -webkit-font-smoothing: antialiased !important;
  box-sizing: border-box;
}

.handed {
  cursor: pointer !important;
}

/*HELPERS*/
/*DISPLAY*/
.is-block {display: block !important;}
.no-block {display: none !important;}
/*VISIBILITY*/
.is-invisible {visibility: hidden !important;}
/*POSITION*/
.is-absolute {position: absolute !important;}
.is-absolute-b-min-5px {position: absolute !important; bottom: -5px !important;}
/*MARGIN*/
.ma-no {margin: 0 !important;}
.ma-no-b {margin-bottom: 0rem !important;}
.ma-one {margin: 1rem !important;}
.ma-half {margin: 0.5rem !important;}
.ma-t-half {margin-top: .5rem !important;}
.ma-t-one {margin-top: 1rem !important;}
.ma-b-one {margin-bottom: 1rem !important;}
.ma-b-half {margin-bottom: .5rem !important;}
.ma-lr-half {margin-left: .5rem !important; margin-right: .5rem !important;}
.ma-lr-one {margin-left: 1rem !important; margin-right: 1rem !important;}
.ma-r-half {margin-right: .5rem !important;}
.ma-2 {margin: 2px !important;}
/*PADDING*/
.pa-no {padding: 0 !important;}
.pa-no-b {padding-bottom: 0 !important;}
.pa-one {padding: 1rem !important;}
.pa-two {padding: 2rem !important;}
.pa-half {padding: .5rem !important;}
.pa-quarter {padding: 0.25rem !important;}
.pa-b-one {padding-bottom: 1rem !important;}
.pa-t-half {padding-top: .5rem !important;}
.pa-b-half {padding-bottom: .5rem !important;}
.pa-b-two {padding-bottom: 2rem !important;}
.pa-lr-half {padding-left: .5rem !important; padding-right: .5rem !important;}
.pa-lr-one {padding-left: 1rem !important; padding-right: 1rem !important;}
/*BORDERS*/
.bo-t-s {border-top: 1px solid hsl(0, 0%, 48%) !important;}
.bo-t-s-b {border-top: 1px solid #3273dc !important;}
.bo-s {border: 1px solid hsl(0, 0%, 48%) !important;}
.bo-r-five {border-radius: 5px !important;}
.bo-r-30 {border-radius: 30px !important;}
/*FONTS*/
.fo-w-l {font-weight: lighter !important;}
.fo-w-b {font-weight: bolder !important;}
.fo-cap {text-transform: capitalize !important;}
.fo-up {text-transform: uppercase !important;}
.fo-d-u {text-decoration: underline !important;}
/*BACKGROUND*/
.has-no-background {background-color: rgba(0,0,0,0) !important;}
.has-background-green-1 {background-color: #3fb3a2 !important;}
/*SHADOW*/
.shadow-one {-webkit-box-shadow: 0px 1px 5px 1px rgba(189,189,189,1) !important;
-moz-box-shadow: 0px 1px 5px 1px rgba(189,189,189,1) !important;
box-shadow: 0px 1px 5px 1px rgba(189,189,189,1) !important;}
.text-shadow-one {
  text-shadow: 1px 0px 2px rgba(150, 150, 150, 0.88) !important;
}
/*SIZE*/
.height-170 {height: 170px !important; max-height: 170px !important;}
.width-100 {width: 100% !important;}

/*LOGINSCREEN*/
.bottom-div-button {
  position: absolute;
  width: 100%;
  bottom: 1rem;
  right: 1rem;
}
.bu-no {
  border: none !important;
  background: none !important;
}

#init-login-frame {
  position: fixed;
  top: 10px;
  left: 10px;
  border-radius: 5px;
  background: white;
  height: calc(100% - 20px);
  width: calc(100% - 20px);
}

/*NAVIGATORS*/
.header-principal {
  position: fixed !important;
  top: 0 !important;
  left: 0 !important;
  right: 0 !important;
  width: 100vw !important;
  z-index: 999 !important;
  -webkit-box-shadow: inset 0px 75px 30px -15px rgba(255,255,255,0.85);
  -moz-box-shadow: inset 0px 75px 30px -15px rgba(255,255,255,0.85);
  box-shadow: inset 0px 75px 30px -15px rgba(255,255,255,0.85);
}

.navigator-principal {
  position: fixed !important;
  bottom: 0 !important;
  left: 0 !important;
  right: 0 !important;
  width: 100vw !important;
  z-index: 999 !important;
}

.more-coincidencias {
  position: absolute;
  bottom: -24px;
  right: 12px;
  z-index: 1;
}

#mainMenuLateral {
  position: absolute;
  top: 3rem;
  height: calc(100vh - 9rem) !important;
  width: calc(100vw - 3rem) !important;
}
.navbar-end {
  position: absolute !important;
  bottom: 0;
  right: 0;
}

a.navbar-item {
  padding: 1rem !important;
  margin: 5px !important;
  font-size: 1.2rem !important;
}
a.navbar-item:hover {
  background-color: hsl(171, 100%, 41%) !important;
  border-radius: 10px !important;
  color: white !important;
}

.cuerpo-principal {
  display: block;
  position: relative;
  z-index: 990;
}

.item-nav-hover:hover {
  color: hsl(171, 100%, 41%) !important;
}
@keyframes effect_dylan {
  50% {
    transform: scale(1.5, 1.5);
    opacity: 0;
  }
  99% {
    transform: scale(0.001, 0.001);
    opacity: 0;
  }
  100% {
    transform: scale(0.001, 0.001);
    opacity: 1;
  }
}

.button-principal {
  /**position: fixed;
  bottom:  70px;
  right: 10px;
  height: 60px;
  width: 60px;
  border-radius: 50%;
  background-color: hsl(171, 100%, 41%);
  z-index: 991;
  -webkit-box-shadow: 0px 5px 20px 0px rgba(50, 50, 50, 0.25);
  -moz-box-shadow:    0px 5px 20px 0px rgba(50, 50, 50, 0.25);
  box-shadow:         0px 5px 20px 0px rgba(50, 50, 50, 0.25);**/
  position: fixed;
  bottom: 85px;
  right: 15px;
  height: 45px;
  z-index: 991;
}
.button-pointer {
  padding: 14px 0 !important;
  margin-left: 18px;
}
.button-plus {
  padding: 18px 0;
  margin-left: 23px;
}

#button-search {
  position: fixed;
  bottom:  140px;
  right: 10px;
  margin: 0px !important;
  /**border-radius: 50%;
  background: white;
  z-index: 991;
  -webkit-box-shadow: 0px 5px 20px 0px rgba(50, 50, 50, 0.25);
  -moz-box-shadow:    0px 5px 20px 0px rgba(50, 50, 50, 0.25);
  box-shadow:         0px 5px 20px 0px rgba(50, 50, 50, 0.25);**/
}

/*OVERLAY*/
.overlay-scroll {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100vw;
  height: auto;
  overflow: auto;
  background-color: rgba(0,0,0,0.5);
  z-index: 992 !important;
}

.overlay-fs {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100vw;
  height: auto;
  overflow: auto;
  margin: 0 !important;
  padding: 0 !important;
}

.modal-content-overlay {
  display: block;
  padding: .5rem;
  margin: .2rem;
  background-color: white;
  border-radius: 5px;
  border: 1px solid #c2c2c2;
}

.overlay-filter {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100vw;
  min-height: 100vh;
  overflow: auto;
  background-color: rgba(0,0,0,0.5);
  z-index: 1000;
}
.filter-container {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100vw;
  height: auto;
  background-color: hsl(0, 0%, 100%);
}
.range-container {
  width: 100%;
}
.range-slider {
  -webkit-appearance: none;
  width: 100%;
  height: 4px;
  background-color: #434343;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}
.range-slider:hover {
  opacity: 1;
}
.range-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 70px;
  height: 45px;
  background-color: white;
  border-radius: 0;
  cursor: pointer;
  0px 1px 5px 1px rgba(189,189,189,1) !important;
  box-shadow: 0px 1px 5px 1px rgba(189,189,189,1) !important;
}
.range-slider::-moz-range-thumb {
  width: 70px;
  height: 45px;
  background-color: white;
  border-radius: 0;
  cursor: pointer;
  0px 1px 5px 1px rgba(189,189,189,1) !important;
  box-shadow: 0px 1px 5px 1px rgba(189,189,189,1) !important;
}
.filter-options {
  position: relative;
  display: inline-block;
  border-radius: 4px;
  background-color: hsl(0, 0%, 86%);
  padding: 1rem 14px;
  margin: 5px;
  width: 45px;
}
.filter-options .input-opc-filter {
  position: absolute;
  bottom: -55px;
  left: -13px;
  width: 45px;
  z-index: 1;
}

.products-add {
  display: block;
  height: 100%;
  width: 100%;
  cursor: pointer;
}

.main-scroll-overlay-img {
  min-width: 100% !important;
  width: 100% !important;
  min-width: 100% !important;
  width: 100% !important;
  height: 220px;
  object-fit: cover;
}

.input-title {
  font-size: 1.2rem !important;
}
.input_title::placeholder {
  font-weight: lighter !important;
  color: #404040 !important;
  font-size: 1.6rem !important;
}
.input-textarea {
  border: 1px solid #dbdbdb;
  font-size: 1.2rem !important;

}
.input-textarea::placeholder {
  font-weight: lighter !important;
  color: #404040 !important;
  font-size: 1.2rem !important;
}

.input-button-rounded {
  border: 0 !important;
  border-radius: 45px;
  height: 4rem;
  width: calc(100% - 150px)!important;
  padding: 1rem !important;
  text-transform: uppercase !important;
}

.input-button-small {
  height: 2rem !important;
  padding: .4rem !important;
  width: calc(50% - 50px)!important;
}

/*PERFIL*/
.figure-container-avatar{
    height: 250px !important;
}

.container-avatar {
  position: relative;
  overflow: hidden;
  height: 100%;
}
.container-avatar img {
  position: absolute;
  height: 100%;
  object-fit: cover;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.user-info-icon {
  margin: 0.15rem;
}

/*CATEGORIAS*/
.categoria-tag {
  position: absolute;
  bottom: 0;
  right: 0;
  color:
  white;
  background-color: #424242;
  padding: 0.3rem;
  border-radius: 5px 0 5px 0;
}

.categoria-img {
  width: 100%;
  object-fit: cover;
}

/*PRODUCTOS*/
.integer-input {
  width: 50px;
  margin: 13px;
}

.product-container {
  height: 250px !important;
}
.product-img-container {
  position: absolute;
  height: 100%;
  object-fit: cover;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

#imgHolder .product-img-showcase{
  display: inline-block;
  width: calc(33.33% - 4px);
  height: 75px;
  object-fit: cover;
  border-radius: 4px;
  margin: 0px 2px 2px 2px;
}

#imgHolder .product-img-showcase:first-child {
  float: left;
  width: 100%;
  height: 150px;
  margin-bottom: 2px;
}

#img-usu {
  display: block !important;
  float: left;
  margin: 10px !important;
  height: 100px !important;
  width: 100px !important;
} #img-usu img {
  display: block;
  height: 100%;
  object-fit: cover;
}

/* The container */
label.radio {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
/* Hide the browser's default radio button */
label.radio input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}
/* Create a custom radio button */
.checkmark {
  position: absolute;
  top: 10px;
  left: 10px;
}
/* On mouse-over, add a grey background color */
label.radio:hover input ~ .checkmark {
  background-color: #ccc;
}
/* When the radio button is checked, add a blue background */
label.radio input:checked ~ .checkmark {
  background-color: #2196F3;
}
/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}
/* Show the indicator (dot/circle) when checked */
label.radio input:checked ~ .checkmark:after {
  display: block;
}
/* Style the indicator (dot/circle) */
label.radio .checkmark:after {
 	top: -7px;
	left: -4px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 2rem;
  content: "\f058";
  color: white;
}

/*PLANES*/
#planes-frame {
  position: fixed;
  top: 10px;
  left: 10px;
  border-radius: 5px;
  background: white;
  height: calc(100% - 20px);
  width: calc(100% - 20px);
}

/*TOAST*/
#toast {
  position: fixed !important;
  bottom: 20px;
  left: calc(50% - 100px);
  width: 200px;
  z-index: 1001;
}

/*MAPS*/
.main-map {
  position: fixed !important;
  top: 0 !important;
  left: 0 !important;
  right: 0 !important;
  height: 100vh !important;
  width: 100vw !important;
}

.products-map {
  height: 25rem !important;
  width: 100% !important;
}

/*JSLEAFLET*/
/*MAP ROUTING*/
.leaflet-routing-container {
  width: 45% !important;
  overflow: auto;
  height: 380px;
  font-size: 0.6rem;
}
/*HIDDEN STUFF*/
.leaflet-control-attribution, .leaflet-control-zoom {
  display: none !important;
}

/*loading loader load*/
.pulsating-icon {
  display: block;
  border-radius: 50% !important;
  box-shadow: 0 0 0 rgba(204,169,44, 0.4);
  animation: pulse 0.5s infinite;
}

/*ANIMATIONS*/
@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0 rgba(255,255,255, 0.4);
  }
  70% {
      -webkit-box-shadow: 0 0 0 10px rgba(255,255,255, 0);
  }
  100% {
      -webkit-box-shadow: 0 0 0 0 rgba(255,255,255, 0);
  }
}
@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 0 0 rgba(255,255,255, 0.4);
    box-shadow: 0 0 0 0 rgba(255,255,255, 0.4);
  }
  70% {
      -moz-box-shadow: 0 0 0 10px rgba(255,255,255, 0);
      box-shadow: 0 0 0 10px rgba(255,255,255, 0);
  }
  100% {
      -moz-box-shadow: 0 0 0 0 rgba(255,255,255, 0);
      box-shadow: 0 0 0 0 rgba(255,255,255, 0);
  }
}
